<html>
<head>
<title>OGRE: Ogre::RenderQueueInvocationSequence Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">RenderQueueInvocationSequence</a></div>
<h1>Ogre::RenderQueueInvocationSequence Class Reference</h1><!-- doxytag: class="Ogre::RenderQueueInvocationSequence" -->Class to hold a linear sequence of <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a> objects.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderQueueInvocationSequence-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#c099ffef2d796e0fd9fe4c2f541053c9">RenderQueueInvocationSequence</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#86fac68d3bc7df573ac0f566430d2d91">~RenderQueueInvocationSequence</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#2077bfd191b704ccbf207056ac3551d3">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the name of this sequence.  <a href="#2077bfd191b704ccbf207056ac3551d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#9ea805cbc8a40a3d4487c443cc9f0bcc">add</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> renderQueueGroupID, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocationName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a standard invocation to the sequence.  <a href="#9ea805cbc8a40a3d4487c443cc9f0bcc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#b4321075f94bd8f619d0a00581bdb8fb">add</a> (<a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a> *i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a custom invocation to the sequence.  <a href="#b4321075f94bd8f619d0a00581bdb8fb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#ddf91fd804baf0b2d03dab38c6ebc105">size</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of invocations in this sequence.  <a href="#ddf91fd804baf0b2d03dab38c6ebc105"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#6449c6f0996c03c11b7139eedc26e0ab">clear</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear and delete all invocations in this sequence.  <a href="#6449c6f0996c03c11b7139eedc26e0ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#535277e2a67701473cdef73f41572481">get</a> (size_t index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the details of an invocation at a given index.  <a href="#535277e2a67701473cdef73f41572481"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#5817bc91b94a4a578259849e27881c05">remove</a> (size_t index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes (and deletes) an invocation by index.  <a href="#5817bc91b94a4a578259849e27881c05"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">RenderQueueInvocationIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#37530d084053c25156403a49517c87b3">iterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the invocations.  <a href="#37530d084053c25156403a49517c87b3"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#7a61d04ea84f2ded758094702c7648a0">mName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#36e988ee6880dc974a0612da3863bb5f">RenderQueueInvocationList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#e567ddc2821336b54441e83f550cc74f">mInvocations</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class to hold a linear sequence of <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a> objects. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is just a simple data holder class which contains a list of <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a> objects representing the sequence of invocations made for a viewport. It's only real purpose is to ensure that <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a> instances are deleted on shudown, since you can provide your own subclass instances on <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>. Remember that any invocation instances you give to this class will be deleted by it when it is cleared / destroyed. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00168">168</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c099ffef2d796e0fd9fe4c2f541053c9"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::RenderQueueInvocationSequence" ref="c099ffef2d796e0fd9fe4c2f541053c9" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueueInvocationSequence::RenderQueueInvocationSequence           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="86fac68d3bc7df573ac0f566430d2d91"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::~RenderQueueInvocationSequence" ref="86fac68d3bc7df573ac0f566430d2d91" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderQueueInvocationSequence::~RenderQueueInvocationSequence           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="2077bfd191b704ccbf207056ac3551d3"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::getName" ref="2077bfd191b704ccbf207056ac3551d3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::RenderQueueInvocationSequence::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the name of this sequence. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00178">178</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ea805cbc8a40a3d4487c443cc9f0bcc"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::add" ref="9ea805cbc8a40a3d4487c443cc9f0bcc" args="(uint8 renderQueueGroupID, const String &amp;invocationName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a>* Ogre::RenderQueueInvocationSequence::add           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>renderQueueGroupID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocationName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a standard invocation to the sequence. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>renderQueueGroupID</em>&nbsp;</td><td>The ID of the render queue group </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocationName</em>&nbsp;</td><td>Optional name to identify the invocation, useful for listeners if a single queue group is invoked more than once </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A new RenderQueueInvocatin instance which you may customise </dd></dl>

</div>
</div><p>
<a class="anchor" name="b4321075f94bd8f619d0a00581bdb8fb"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::add" ref="b4321075f94bd8f619d0a00581bdb8fb" args="(RenderQueueInvocation *i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueInvocationSequence::add           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a> *&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a custom invocation to the sequence. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Use this to add your own custom subclasses of <a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a> to the sequence; just remember that this class takes ownership of deleting this pointer when it is cleared / destroyed. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ddf91fd804baf0b2d03dab38c6ebc105"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::size" ref="ddf91fd804baf0b2d03dab38c6ebc105" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::RenderQueueInvocationSequence::size           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of invocations in this sequence. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00198">198</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6449c6f0996c03c11b7139eedc26e0ab"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::clear" ref="6449c6f0996c03c11b7139eedc26e0ab" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueInvocationSequence::clear           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear and delete all invocations in this sequence. 
<p>

</div>
</div><p>
<a class="anchor" name="535277e2a67701473cdef73f41572481"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::get" ref="535277e2a67701473cdef73f41572481" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a>* Ogre::RenderQueueInvocationSequence::get           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the details of an invocation at a given index. 
<p>

</div>
</div><p>
<a class="anchor" name="5817bc91b94a4a578259849e27881c05"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::remove" ref="5817bc91b94a4a578259849e27881c05" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueInvocationSequence::remove           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes (and deletes) an invocation by index. 
<p>

</div>
</div><p>
<a class="anchor" name="37530d084053c25156403a49517c87b3"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::iterator" ref="37530d084053c25156403a49517c87b3" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">RenderQueueInvocationIterator</a> Ogre::RenderQueueInvocationSequence::iterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the invocations. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7a61d04ea84f2ded758094702c7648a0"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::mName" ref="7a61d04ea84f2ded758094702c7648a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#7a61d04ea84f2ded758094702c7648a0">Ogre::RenderQueueInvocationSequence::mName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00171">171</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e567ddc2821336b54441e83f550cc74f"></a><!-- doxytag: member="Ogre::RenderQueueInvocationSequence::mInvocations" ref="e567ddc2821336b54441e83f550cc74f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#36e988ee6880dc974a0612da3863bb5f">RenderQueueInvocationList</a> <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html#e567ddc2821336b54441e83f550cc74f">Ogre::RenderQueueInvocationSequence::mInvocations</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00172">172</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:06 2008
</p>
</body>
</html>
